Bug 1196241 - Resize instace will not change the NUMA topology of a running instance to the one from the new flavor
Summary: Resize instace will not change the NUMA topology of a running instance to the...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 6.0 (Juno)
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 7.0 (Kilo)
Assignee: Eoghan Glynn
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks: 1208547
TreeView+ depends on / blocked
 
Reported: 2015-02-25 14:43 UTC by Stephen Gordon
Modified: 2019-09-09 15:41 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1208547 (view as bug list)
Environment:
Last Closed: 2017-06-22 21:02:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1370390 0 None None None Never

Description Stephen Gordon 2015-02-25 14:43:28 UTC
Cloned from launchpad bug 1370390.

Description:

When we resize (change the flavor) of an instance that has a NUMA topology defined, the NUMA info from the new flavor will not be considered during scheduling. The instance will get re-scheduled based on the old NUMA information, but the claiming on the host will use the new flavor data. Once the instane sucessfully lands on a host, we will still use the old data when provisioning it on the new host.

We should be considering only the new flavor information in resizes.

Specification URL (additional information):

https://bugs.launchpad.net/nova/+bug/1370390

Comment 5 RHEL Program Management 2017-06-22 21:02:41 UTC
Product Management has reviewed and declined this request.
You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.